CUDA Driver API (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 4.5. CUDA_MEMCPY3D_PEER Struct Reference

## [Data types used by CUDA driver]

3D memory cross-context copy parameters

### Public Variables

size_t Depth
size_t Height
size_t WidthInBytes
CUarray dstArray
CUcontext dstContext
CUdeviceptr dstDevice
size_t dstHeight
void * dstHost
size_t dstLOD
CUmemorytype dstMemoryType
size_t dstPitch
size_t dstXInBytes
size_t dstY
size_t dstZ
CUarray srcArray
CUcontext srcContext
CUdeviceptr srcDevice
size_t srcHeight
const void * srcHost
size_t srcLOD
CUmemorytype srcMemoryType
size_t srcPitch
size_t srcXInBytes
size_t srcY
size_t srcZ

### Variables

size_t CUDA_MEMCPY3D_PEER::Depth [inherited]

  Depth of 3D memory copy

size_t CUDA_MEMCPY3D_PEER::Height [inherited]

  Height of 3D memory copy

size_t CUDA_MEMCPY3D_PEER::WidthInBytes [inherited]

  Width of 3D memory copy in bytes

CUarray CUDA_MEMCPY3D_PEER::dstArray [inherited]

  Destination array reference

CUcontext CUDA_MEMCPY3D_PEER::dstContext [inherited]

  Destination context (ignored with dstMemoryType is CU_MEMORYTYPE_ARRAY)

CUdeviceptr CUDA_MEMCPY3D_PEER::dstDevice [inherited]

  Destination device pointer

size_t CUDA_MEMCPY3D_PEER::dstHeight [inherited]

  Destination height (ignored when dst is array; may be 0 if Depth==1)

void * CUDA_MEMCPY3D_PEER::dstHost [inherited]

  Destination host pointer

size_t CUDA_MEMCPY3D_PEER::dstLOD [inherited]

  Destination LOD

CUmemorytype CUDA_MEMCPY3D_PEER::dstMemoryType [inherited]

  Destination memory type (host, device, array)

size_t CUDA_MEMCPY3D_PEER::dstPitch [inherited]

  Destination pitch (ignored when dst is array)

size_t CUDA_MEMCPY3D_PEER::dstXInBytes [inherited]

  Destination X in bytes

size_t CUDA_MEMCPY3D_PEER::dstY [inherited]

  Destination Y

size_t CUDA_MEMCPY3D_PEER::dstZ [inherited]

  Destination Z

CUarray CUDA_MEMCPY3D_PEER::srcArray [inherited]

  Source array reference

CUcontext CUDA_MEMCPY3D_PEER::srcContext [inherited]

  Source context (ignored with srcMemoryType is CU_MEMORYTYPE_ARRAY)

CUdeviceptr CUDA_MEMCPY3D_PEER::srcDevice [inherited]

  Source device pointer

size_t CUDA_MEMCPY3D_PEER::srcHeight [inherited]

  Source height (ignored when src is array; may be 0 if Depth==1)

const void * CUDA_MEMCPY3D_PEER::srcHost [inherited]

  Source host pointer

size_t CUDA_MEMCPY3D_PEER::srcLOD [inherited]

  Source LOD

CUmemorytype CUDA_MEMCPY3D_PEER::srcMemoryType [inherited]

  Source memory type (host, device, array)

size_t CUDA_MEMCPY3D_PEER::srcPitch [inherited]

  Source pitch (ignored when src is array)

size_t CUDA_MEMCPY3D_PEER::srcXInBytes [inherited]

  Source X in bytes

size_t CUDA_MEMCPY3D_PEER::srcY [inherited]

  Source Y

size_t CUDA_MEMCPY3D_PEER::srcZ [inherited]

  Source Z